//color
$base-color: #447299;
$default-grey: #f7f7f7; //hsl(208, 38%, 95%) = base-color with lightness increased

$darkest-color: #0f3b60;
$dark-color: #265984;
$light-color: #759cbe;
$lightest-color: #bbd2e5;

$highlight: #008500;
$font-dark: #0b1215;

$lwi-green: #acc13a;
$lwi-dark: #0080b4;
$lwi-mid: #759cbe;
$lwi-light: #b0d9e9;

$padding_val: 15px;

//typesetting
$subheading: 1.5rem;
$heading: 2rem;
$borderradius: 1em;
$foot_head: 1.3rem;

/* noto-sans-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "Noto Sans";
  font-style: normal;
  font-weight: 400;
  src: url("../media/fonts/noto-sans-v36-latin-regular.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* noto-sans-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "Noto Sans";
  font-style: italic;
  font-weight: 400;
  src: url("../media/fonts/noto-sans-v36-latin-italic.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* noto-sans-500 - latin */
@font-face {
  font-display: swap;
  font-family: "Noto Sans";
  font-style: normal;
  font-weight: 500;
  src: url("../media/fonts/noto-sans-v36-latin-500.woff2") format("woff2");
}

/* noto-sans-700 - latin */
@font-face {
  font-display: swap;
  font-family: "Noto Sans";
  font-style: normal;
  font-weight: 700;
  src: url("../media/fonts/noto-sans-v36-latin-700.woff2") format("woff2");
}

* {
  font-family: "Noto Sans";
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.head1 {
  font-weight: 500;
  font-size: $heading;
  letter-spacing: -1.5px; //responsive as well?
  line-height: 1.3 * $heading;
}

.head2 {
  font-size: $subheading;
  letter-spacing: -1px;
  line-height: 1.3 * $subheading;
}

.head2_bold {
  @extend .head2;
  font-weight: 500;
}

.head3 {
  font-size: $foot_head;
  letter-spacing: -1px;
  line-height: 1.3 * $subheading;
}

p {
  line-height: 1.5rem;

  br {
    margin-bottom: $padding_val;
  }
}

.p_flat {
  p {
    margin: 0;
    padding: 0;
  }

  .p_bottom {
    margin-bottom: 15px;
  }
}

// structure for all pages
html {
  background-color: $default-grey;
}

body {
  margin: 0;
  padding: 0;
  min-width: 400px;
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  color: $default-grey; //default font-color

  background-image: url("../media/div/pexels-matthardy-1533720.jpg");
  background-position: bottom;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
}

.header_spacer {
  height: 120px;
}

.main {
  padding-top: 120px;
  padding-bottom: 100px;
  flex: 1 0 auto;
}

.center_cont {
  margin: auto;
  max-width: 1300px;

  &__w300 {
    @extend .center_cont;
    width: 300px;
  }

  &__w600 {
    @extend .center_cont;
    width: 60%;
    max-width: 600px;
  }

  &__w55 {
    @extend .center_cont;
    width: 55%;
    max-width: 1200px;
  }

  &__w60 {
    @extend .center_cont;
    width: 60%;
  }

  &__w90 {
    @extend .center_cont;
    width: 90%;
  }
}

// keep appearance consistent on digi-input-forms
@media (max-width: 1350px) {
  .center_cont__w90 {
    width: 60%;
    min-width: 600px + 2 * $padding_val;
  }
}

//helping classes
.p_center {
  text-align: center;
}

.dist-tiny {
  margin-bottom: 20px;
}

.dist-small {
  // to avoid conflict with details[open] important is used
  margin-bottom: 90px !important;
}

.lwi-dark {
  background-color: $default-grey;
  border: 5px solid $dark-color;
  color: $font-dark;
}

.lwi-mid {
  background-color: $default-grey;
  border: 5px solid $light-color;
  color: $font-dark;
}

.uni_bubble_mid {
  background-color: #759cbe;
  border: 5px solid $default-grey;
}

.uni_bubble_highlight {
  background-color: $highlight;
  border: 5px solid $default-grey;
}

.greenhigh {
  color: $highlight;
  font-weight: bold;
}

.blur {
  backdrop-filter: blur(5px);
}

.out_shad {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.5);
}

.grey-fil {
  filter: invert(98%) sepia(1%) saturate(109%) hue-rotate(62deg)
    brightness(113%) contrast(94%); // props to https://codepen.io/sosuke/pen/Pjoqqp
}

.grey-fil_unsaturated {
  filter: invert(98%) sepia(1%) saturate(109%) hue-rotate(62deg)
    brightness(113%) contrast(94%); // props to https://codepen.io/sosuke/pen/Pjoqqp
  opacity: 0.5;
}

.blue-fil {
  filter: invert(41%) sepia(9%) saturate(2346%) hue-rotate(166deg)
    brightness(96%) contrast(87%);
}

.black-fil {
  filter: invert(4%) sepia(7%) saturate(3184%) hue-rotate(153deg)
    brightness(99%) contrast(95%);
}

.grey-link,
.grey-link:link,
.grey-link:visited {
  color: $default-grey;
  text-decoration: none;

  &:hover {
    color: $font-dark;
  }
}

.dark-link,
.dark-link:link,
.dark-link:visited {
  color: $font-dark;
  text-decoration: none;

  &:hover {
    color: $highlight;
  }
}

.blue-link,
.blue-link:link,
.blue-link:visited {
  color: $base-color;
  text-decoration: none;

  &:hover {
    color: $highlight;
  }
}

.stand_bord {
  border: $default-grey solid 5px;
  border-radius: $borderradius;
  padding: 1rem;

  &__small {
    border: $default-grey solid 3px;
    border-radius: 4 * $borderradius;
    padding: 1rem;
  }
}

// default bubble layout
.bubble {
  position: relative;
  border-radius: 1 * $borderradius;
  padding: $padding_val 2 * $padding_val $padding_val 2 * $padding_val;
  min-width: 350px;

  &__smallrad {
    @extend .bubble;
    border-radius: 2 * $borderradius;
  }
}

// header for categories on subpages
.category {
  width: fit-content;
  color: $default-grey;
}

//container for funded/used by logos
.logo_container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: $padding_val;
  place-items: center;
  padding: $padding_val 0 $padding_val 0;

  img {
    height: 7vw;
    min-height: 55px;
    max-height: 150px;
  }

  .white_bg {
    background-color: $default-grey;
    border-radius: $borderradius;
    padding: $padding_val;
  }

  // center img inside a to mitigate the small offset
  a {
    display: flex;
    justify-content: center;
    flex-direction: column;
  }
}

@media (max-width: 900px) {
  .logo_container {
    grid-template-columns: 1fr; // This makes the grid have only one column, so the images will stack vertically
    row-gap: 1em;
    padding: 0;

    img {
      height: 10vw;
    }
  }
}

//container for social in footer + about
.social_cont {
  margin: auto;
  width: 30%;
  min-width: 200px;
  display: flex;
  justify-content: space-around;
  text-align: center;

  a {
    color: $default-grey;
    text-decoration: none;

    > img {
      @extend .grey-fil;
      height: 2rem;
    }

    &:hover > img {
      @extend .black-fil;
      color: $font-dark;
    }

    &:hover > div {
      color: $font-dark;
    }
  }

  .txnote {
    font-size: 0.6rem;
  }
}

.social_cont2 {
  @extend .social_cont;

  a {
    > img {
      @extend .blue-fil;
    }
  }
}

.no-scroll {
  overflow: hidden;
}

.full_pic {
  height: 100vh;
  background-size: cover;
  background-position: center;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;

  div {
    display: flex;
    flex-direction: column;
    align-items: center;
    h1 {
      font-size: 10em;
      font-weight: 700;
      letter-spacing: -3px;
      margin: 0;
    }

    h2 {
      font-size: 3em;
      font-weight: 500;
      letter-spacing: -2px;
    }
  }
}

///////////////////////////////////////////////
//working area

@import "header_footer.scss", "home.scss", "newsfeed.scss", "datasets.scss",
  "hww.scss", "faq.scss", "about.scss", "hww-snow.scss";
